VerificationType (Gradle API 7.6.4)

Package org.gradle.api.attributes

## Interface VerificationType

- All Superinterfaces:
    `Named`

      @Incubating
      public interface VerificationType
      extends Named

  Attribute to be used on variants containing the output verification checks (Test data, Jacoco results, etc) which specify the type of verification data.

  This attribute is usually found on variants that have the `Category` attribute valued at `Category.VERIFICATION`.

  Since:
    7.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `JACOCO_RESULTS` | Binary results of running tests containing pass/fail information
    `static java.lang.String` | `MAIN_SOURCES` | A list of directories containing source code, includes code in transitive dependencies
    `static java.lang.String` | `TEST_RESULTS` | Binary test coverage data gathered by JaCoCo
    `static Attribute<VerificationType>` | `VERIFICATION_TYPE_ATTRIBUTE` |

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### VERIFICATION_TYPE_ATTRIBUTE

          static final Attribute<VerificationType> VERIFICATION_TYPE_ATTRIBUTE

    - #### MAIN_SOURCES

          static final java.lang.String MAIN_SOURCES

      A list of directories containing source code, includes code in transitive dependencies
      See Also:
        Constant Field Values

    - #### JACOCO_RESULTS

          static final java.lang.String JACOCO_RESULTS

      Binary results of running tests containing pass/fail information
      See Also:
        Constant Field Values

    - #### TEST_RESULTS

          static final java.lang.String TEST_RESULTS

      Binary test coverage data gathered by JaCoCo
      See Also:
        Constant Field Values